# Examples

## Overview

This directory showcases a variety of examples, illustrating the use of different interfaces and functionalities. Navigate through these examples to understand how to implement and integrate various components and features in your projects.

## Detailed Examples

1. **Multiple Network Interfaces Example**: Demonstrates the integration and management of multiple network interfaces.
   Location: [multiple_netifs](esp_netif/multiple_netifs)

2. **SLIP Device Client**: Provides a detailed example of a SLIP (Serial Line Internet Protocol) device client implementation.
   Location: [slip_custom_netif](esp_netif/slip_custom_netif/)

3. **MQTT Demo on Linux**: A comprehensive demonstration of an MQTT (Message Queuing Telemetry Transport) application designed to run on a Linux environment.
   Location: [mqtt](mqtt)

## Additional Resources and Examples

For an extensive collection of additional examples, especially those related to specific components, please visit the upper layer directory and navigate to the respective component's example directory.

**Important**: To explore more, check the path: `components/*component_name/examples`
